You are not logged in.

#1 2015-10-06 10:55:40

dsch
Member
Registered: 2015-10-05
Posts: 36

[solved] Error while installing libindicator from AUR via yaourt.

I am trying to install libindicator from AUR and I am getting an error: /usr/bin/ld: cannot find -lglib-2.0-lm
I cannot find information about to it and how to correct it.
* You may want to scroll to the bottom directly*

yaourt libappindicator
1 aur/lib32-libappindicator-gtk2 12.10.0-5 (6)
    Allow applications to export a menu into the Unity Menu bar
2 aur/lib32-libappindicator-gtk3 12.10.0-5 (49)
    Allow applications to export a menu into the Unity Menu bar
3 aur/lib32-libappindicator-sharp 12.10.0-5 (49)
    Allow applications to export a menu into the Unity Menu bar
4 aur/libappindicator-activate-gtk2 12.10.0-5 (10)
    libappindicator patched to improve user experience under Plasma 5 (single 
    click activation via Activate dbus method)
5 aur/libappindicator-activate-gtk3 12.10.0-5 (10)
    libappindicator patched to improve user experience under Plasma 5 (single 
    click activation via Activate dbus method)
6 aur/libappindicator-activate-sharp 12.10.0-5 (10)
    libappindicator patched to improve user experience under Plasma 5 (single 
    click activation via Activate dbus method)
7 aur/libappindicator-gtk2 12.10.0-6 (312)
    Allow applications to export a menu into the Unity Menu bar
8 aur/libappindicator-gtk3 12.10.0-6 (312)
    Allow applications to export a menu into the Unity Menu bar
9 aur/libappindicator-sharp 12.10.0-6 (312)
    Allow applications to export a menu into the Unity Menu bar
10 aur/perl-gtk2-appindicator 0.15-4 (13)
    Gtk2::AppIndicator - Perl extension for libappindicator
11 aur/pidgin-appindicator 0.9-1 (16)
    Pidgin plugin that adds tray icon using libappindicator
12 aur/pidgin-indicator 0.9-2 (0)
    Pidgin plugin that adds tray icon using libappindicator
==> Enter n° of packages to be installed (ex: 1 2 3 or 1-3)
==> -------------------------------------------------------
==> 5


==> Downloading libappindicator-activate-gtk3 PKGBUILD from AUR...
x .SRCINFO
x 0001-Add-support-for-Activate-method-for-improved-Plasma-.patch
x PKGBUILD
dos1 commented on 2015-07-28 19:34 
@Soukyuu: does standard libappindicator work for you?
Both libappindicator-sharp and libappindicator-activate-sharp set arch=('any') in the same way.                                                                     
                                                                                  
melvinvermeeren commented on 2015-08-08 20:57                                     
Thanks a lot for making this package, I like it a lot!
Could you perhaps make a lib32 version of this package? I would really appriciate it.

L1ghtmar3 commented on 2015-08-15 03:11 
might there be an error in PKGBUILD 'cause it seems to look to install sharp-x86_64 whereas the actual package is sharp-any (and therefore fails)?

XavierCLL commented on 2015-09-08 15:56 
Error in build:

error: Package `GObject-2.0' not found in specified Vala API directories or GObject-Introspection GIR directories
error: Package `Gtk-3.0' not found in specified Vala API directories or GObject-Introspection GIR directories

missing dependencies?

XavierCLL commented on 2015-09-08 16:02 
please check dependencies using:
namcap package....pkg.tar.xz

libappindicator-activate-gtk3 12.10.0-5  (2015-07-12 14:40)
( Unsupported package: Potentially dangerous ! )
==> Edit PKGBUILD ? [Y/n] ("A" to abort)
==> ------------------------------------
==> n

==> WARNING: This PKGBUILD describes a split package.
==> Specific package options are unknown
==> libappindicator-activate dependencies:
 - dbus-glib (already installed) [makedepend]
 - gobject-introspection (already installed) [makedepend]
 - gtk-sharp-2 (already installed) [makedepend]
 - libdbusmenu-gtk2 (already installed) [makedepend]
 - libdbusmenu-gtk3 (already installed) [makedepend]
 - mono (already installed) [makedepend]
 - perl-xml-libxml (already installed) [makedepend]
 - pygtk (already installed) [makedepend]
 - vala (already installed) [makedepend]
 - libindicator-gtk2 (building from AUR) [makedepend]
 - libindicator-gtk3 (building from AUR) [makedepend]


==> Continue building libappindicator-activate-gtk3 ? [Y/n]
==> -------------------------------------------------------
==> 
==> Building and installing package
==> Install or build missing dependencies for libappindicator-activate:

==> Downloading libindicator-gtk2 PKGBUILD from AUR...
x .SRCINFO
x MKPKG
x PKGBUILD
alucryd commented on 2014-07-07 09:33 
unksi: Aura probably hasn't been updated to support the newest AUR features, including split packages. You could try the development version of aura, maybe it's in there.

unksi commented on 2014-07-08 20:36 
Yeah it worked fine with yaourt. Thanks!

michaelsproul commented on 2014-07-29 05:06 
Is anyone else having problems with this package and versioning? Aura keeps telling me to upgrade from 12.10.1-3 to 12.10.1-4, but after installing the update I'm still stuck with 12.10.1-3 (the package that gets made is 12.10.1-3).

qKUqm3wtY4 commented on 2015-03-25 16:13 
When trying to install with meat/cower, I get the following error:

error:   error while changing to dir `libindicator-gtk2'

Anyone know why I might be getting this?  I'm running Plasma 5 which is why I need this.

alucryd commented on 2015-03-30 12:31 
Meat hasn't been updated for a year, no surprises there. Please use makepkg or give another helper a try.

libindicator-gtk2 12.10.1-4  (2015-06-09 10:03)
( Unsupported package: Potentially dangerous ! )
==> Edit PKGBUILD ? [Y/n] ("A" to abort)
==> ------------------------------------
==> n

==> WARNING: This PKGBUILD describes a split package.
==> Specific package options are unknown
==> libindicator dependencies:
 - gtk2 (already installed) [makedepend]
 - gtk3 (already installed) [makedepend]


==> Continue building libindicator-gtk2 ? [Y/n]
==> -------------------------------------------
==> 
==> Building and installing package
==> This PKGBUILD provides " libindicator-gtk2 libindicator-gtk3 "
==> Install only libindicator-gtk2 ? [Y/n]
==> --------------------------------------
==> 
==> Making package: libindicator 12.10.1-4 (Tue Oct  6 13:52:07 EEST 2015)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Downloading libindicator-12.10.1.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
100  417k  100  417k    0     0   146k      0  0:00:02  0:00:02 --:--:--  926k
==> Validating source files with sha256sums...
    libindicator-12.10.1.tar.gz ... Passed
==> Extracting sources...
  -> Extracting libindicator-12.10.1.tar.gz with bsdtar
==> Starting prepare()...
==> Starting build()...
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking how to create a pax tar archive... gnutar
checking whether to enable maintainer-specific portions of Makefiles... yes
checking whether make supports nested variables... yes
./configure: line 2833: ]: command not found
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking whether gcc and cc understand -c and -o together... yes
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /usr/bin/sed
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking how to convert x86_64-unknown-linux-gnu file names to x86_64-unknown-linux-gnu format... func_convert_file_noop
checking how to convert x86_64-unknown-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for mt... no
checking if : is a manifest tool... no
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking for glib-mkenums... /usr/bin/glib-mkenums
checking for glib-genmarshal... /usr/bin/glib-genmarshal
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for LIBINDICATOR... yes
checking for cos in -lm... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating libindicator/Makefile
config.status: creating libindicator/indicator-0.4.pc.in
config.status: creating libindicator/indicator3-0.4.pc.in
config.status: creating tests/Makefile
config.status: creating tools/Makefile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
configure:

Libindicator Configuration:

        Prefix:                 /usr
        GTK+ Version:           3

        Enable tests:           no
        Enable debugging:       no
        Coverage reporting:     no

make  all-recursive
make[1]: Entering directory '/tmp/yaourt-tmp-dsch/aur-libindicator-gtk2/src/libindicator-12.10.1'
Making all in libindicator
make[2]: Entering directory '/tmp/yaourt-tmp-dsch/aur-libindicator-gtk2/src/libindicator-12.10.1/libindicator'
( cd . && /usr/bin/glib-mkenums --template /tmp/yaourt-tmp-dsch/aur-libindicator-gtk2/src/libindicator-12.10.1/libindicator/indicator-object-enum-types.h.template \
        indicator.h indicator-desktop-shortcuts.h indicator-image-helper.h indicator-object.h indicator-service.h indicator-service-manager.h ) >> tmp-indicator-object-enum-types.h                                                                 \
&& (cmp -s tmp-indicator-object-enum-types.h indicator-object-enum-types.h || cp tmp-indicator-object-enum-types.h indicator-object-enum-types.h )        \
&& rm -f tmp-indicator-object-enum-types.h && echo timestamp > s-enum-types-h
( cd . && /usr/bin/glib-mkenums --template /tmp/yaourt-tmp-dsch/aur-libindicator-gtk2/src/libindicator-12.10.1/libindicator/indicator-object-enum-types.c.template \
        indicator.h indicator-desktop-shortcuts.h indicator-image-helper.h indicator-object.h indicator-service.h indicator-service-manager.h ) > tmp-indicator-object-enum-types.c                                                                  \
&& (cmp -s tmp-indicator-object-enum-types.c indicator-object-enum-types.c || cp tmp-indicator-object-enum-types.c indicator-object-enum-types.c )        \
&& rm -f tmp-indicator-object-enum-types.c
/usr/bin/glib-genmarshal \
        --prefix=_indicator_object_marshal \
        --header \
./indicator-object-marshal.list > xgen-mh \
&& (cmp -s xgen-mh indicator-object-marshal.h || cp -f xgen-mh indicator-object-marshal.h) \
&& rm -f xgen-mh \
&& echo timestamp > stamp-marshal
make  all-am
make[3]: Entering directory '/tmp/yaourt-tmp-dsch/aur-libindicator-gtk2/src/libindicator-12.10.1/libindicator'
  CC     libindicator3_la-gen-indicator-service.xml.lo
  CC     libindicator3_la-indicator-object.lo
( cd . && /usr/bin/glib-mkenums --template /tmp/yaourt-tmp-dsch/aur-libindicator-gtk2/src/libindicator-12.10.1/libindicator/indicator-object-enum-types.c.template \
        indicator.h indicator-desktop-shortcuts.h indicator-image-helper.h indicator-object.h indicator-service.h indicator-service-manager.h ) > tmp-indicator-object-enum-types.c                                                                  \
&& (cmp -s tmp-indicator-object-enum-types.c indicator-object-enum-types.c || cp tmp-indicator-object-enum-types.c indicator-object-enum-types.c )        \
&& rm -f tmp-indicator-object-enum-types.c
  CC     libindicator3_la-indicator-object-enum-types.lo
  CC     libindicator3_la-indicator-desktop-shortcuts.lo
  CC     libindicator3_la-indicator-image-helper.lo
  CC     libindicator3_la-indicator-object-marshal.lo
  CC     libindicator3_la-indicator-service.lo
  CC     libindicator3_la-indicator-service-manager.lo
  CCLD   libindicator3.la
/usr/bin/ld: cannot find -lglib-2.0-lm
collect2: error: ld returned 1 exit status
Makefile:491: recipe for target 'libindicator3.la' failed
make[3]: *** [libindicator3.la] Error 1
make[3]: Leaving directory '/tmp/yaourt-tmp-dsch/aur-libindicator-gtk2/src/libindicator-12.10.1/libindicator'
Makefile:417: recipe for target 'all' failed
make[2]: *** [all] Error 2
make[2]: Leaving directory '/tmp/yaourt-tmp-dsch/aur-libindicator-gtk2/src/libindicator-12.10.1/libindicator'
Makefile:358: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/tmp/yaourt-tmp-dsch/aur-libindicator-gtk2/src/libindicator-12.10.1'
Makefile:288: recipe for target 'all' failed
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Makepkg was unable to build libindicator.
==> Restart building libindicator-gtk2 ? [y/N]
==> ------------------------------------------
==> 
==> Restart building libappindicator-activate-gtk3 ? [y/N]
==> ------------------------------------------------------
==> 
[dsch@p5e-ws dsch]$ 

Last edited by dsch (2015-10-08 06:51:56)

Offline

#2 2015-10-06 15:33:30

Scimmia
Fellow
Registered: 2012-09-01
Posts: 8,751

Re: [solved] Error while installing libindicator from AUR via yaourt.

Step 1 in troubleshooting is to eliminate the AUR helper script.

Looks to me like someone missed a space somewhere.

Offline

#3 2015-10-06 15:44:09

dsch
Member
Registered: 2015-10-05
Posts: 36

Re: [solved] Error while installing libindicator from AUR via yaourt.

Scimmia wrote:

Step 1 in troubleshooting is to eliminate the AUR helper script.

Looks to me like someone missed a space somewhere.

Could you please explain this in more detail? I came to Arch just yesterday...

Offline

#4 2015-10-06 15:59:27

Scimmia
Fellow
Registered: 2012-09-01
Posts: 8,751

Re: [solved] Error while installing libindicator from AUR via yaourt.

Offline

#5 2015-10-06 16:21:25

dsch
Member
Registered: 2015-10-05
Posts: 36

Re: [solved] Error while installing libindicator from AUR via yaourt.

I am not sure, that I understand, what you are trying to say.
But if you're suggesting to try to install it without using yaourt, then I must say, that I still get the same error.

As far as I understand, the error is related to Glib, but that's really as far as I can go... (/usr/bin/ld: cannot find -lglib-2.0-lm)

[dsch@p5e-ws dsch]$ cd Temporary/
[dsch@p5e-ws Temporary]$ git clone https://aur.archlinux.org/libindicator.git     Cloning into 'libindicator'...
remote: Counting objects: 5, done.
remote: Compressing objects: 100% (5/5), done.
remote: Total 5 (delta 0), reused 5 (delta 0)
Unpacking objects: 100% (5/5), done.
Checking connectivity... done.
[dsch@p5e-ws Temporary]$ cd libindicator
[dsch@p5e-ws libindicator]$ makepkg -sri
==> Making package: libindicator 12.10.1-4 (Tue Oct  6 19:18:08 EEST 2015)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Downloading libindicator-12.10.1.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
100  417k  100  417k    0     0   141k      0  0:00:02  0:00:02 --:--:--  510k
==> Validating source files with sha256sums...
    libindicator-12.10.1.tar.gz ... Passed
==> Extracting sources...
  -> Extracting libindicator-12.10.1.tar.gz with bsdtar
==> Starting prepare()...
==> Starting build()...
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking how to create a pax tar archive... gnutar
checking whether to enable maintainer-specific portions of Makefiles... yes
checking whether make supports nested variables... yes
./configure: line 2833: ]: command not found
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking whether gcc and cc understand -c and -o together... yes
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /usr/bin/sed
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking how to convert x86_64-unknown-linux-gnu file names to x86_64-unknown-linux-gnu format... func_convert_file_noop
checking how to convert x86_64-unknown-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for mt... no
checking if : is a manifest tool... no
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking for glib-mkenums... /usr/bin/glib-mkenums
checking for glib-genmarshal... /usr/bin/glib-genmarshal
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for LIBINDICATOR... yes
checking for cos in -lm... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating libindicator/Makefile
config.status: creating libindicator/indicator-0.4.pc.in
config.status: creating libindicator/indicator3-0.4.pc.in
config.status: creating tests/Makefile
config.status: creating tools/Makefile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
configure:

Libindicator Configuration:

        Prefix:                 /usr
        GTK+ Version:           3

        Enable tests:           no
        Enable debugging:       no
        Coverage reporting:     no

make  all-recursive
make[1]: Entering directory '/home/dsch/Temporary/libindicator/src/libindicator-12.10.1'
Making all in libindicator
make[2]: Entering directory '/home/dsch/Temporary/libindicator/src/libindicator-12.10.1/libindicator'
( cd . && /usr/bin/glib-mkenums --template /home/dsch/Temporary/libindicator/src/libindicator-12.10.1/libindicator/indicator-object-enum-types.h.template          \
        indicator.h indicator-desktop-shortcuts.h indicator-image-helper.h indicator-object.h indicator-service.h indicator-service-manager.h ) >> tmp-indicator-object-enum-types.h                                                                 \
&& (cmp -s tmp-indicator-object-enum-types.h indicator-object-enum-types.h || cp tmp-indicator-object-enum-types.h indicator-object-enum-types.h )        \
&& rm -f tmp-indicator-object-enum-types.h && echo timestamp > s-enum-types-h
( cd . && /usr/bin/glib-mkenums --template /home/dsch/Temporary/libindicator/src/libindicator-12.10.1/libindicator/indicator-object-enum-types.c.template          \
        indicator.h indicator-desktop-shortcuts.h indicator-image-helper.h indicator-object.h indicator-service.h indicator-service-manager.h ) > tmp-indicator-object-enum-types.c                                                                  \
&& (cmp -s tmp-indicator-object-enum-types.c indicator-object-enum-types.c || cp tmp-indicator-object-enum-types.c indicator-object-enum-types.c )        \
&& rm -f tmp-indicator-object-enum-types.c
/usr/bin/glib-genmarshal \
        --prefix=_indicator_object_marshal \
        --header \
./indicator-object-marshal.list > xgen-mh \
&& (cmp -s xgen-mh indicator-object-marshal.h || cp -f xgen-mh indicator-object-marshal.h) \
&& rm -f xgen-mh \
&& echo timestamp > stamp-marshal
make  all-am
make[3]: Entering directory '/home/dsch/Temporary/libindicator/src/libindicator-12.10.1/libindicator'
  CC     libindicator3_la-gen-indicator-service.xml.lo
  CC     libindicator3_la-indicator-object.lo
( cd . && /usr/bin/glib-mkenums --template /home/dsch/Temporary/libindicator/src/libindicator-12.10.1/libindicator/indicator-object-enum-types.c.template          \
        indicator.h indicator-desktop-shortcuts.h indicator-image-helper.h indicator-object.h indicator-service.h indicator-service-manager.h ) > tmp-indicator-object-enum-types.c                                                                  \
&& (cmp -s tmp-indicator-object-enum-types.c indicator-object-enum-types.c || cp tmp-indicator-object-enum-types.c indicator-object-enum-types.c )        \
&& rm -f tmp-indicator-object-enum-types.c
  CC     libindicator3_la-indicator-object-enum-types.lo
  CC     libindicator3_la-indicator-desktop-shortcuts.lo
  CC     libindicator3_la-indicator-image-helper.lo
  CC     libindicator3_la-indicator-object-marshal.lo
  CC     libindicator3_la-indicator-service.lo
  CC     libindicator3_la-indicator-service-manager.lo
  CCLD   libindicator3.la
/usr/bin/ld: cannot find -lglib-2.0-lm
collect2: error: ld returned 1 exit status
Makefile:491: recipe for target 'libindicator3.la' failed
make[3]: *** [libindicator3.la] Error 1
make[3]: Leaving directory '/home/dsch/Temporary/libindicator/src/libindicator-12.10.1/libindicator'
Makefile:417: recipe for target 'all' failed
make[2]: *** [all] Error 2
make[2]: Leaving directory '/home/dsch/Temporary/libindicator/src/libindicator-12.10.1/libindicator'
Makefile:358: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/home/dsch/Temporary/libindicator/src/libindicator-12.10.1'
Makefile:288: recipe for target 'all' failed
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
[dsch@p5e-ws libindicator]$ 

Offline

#6 2015-10-06 16:26:06

Scimmia
Fellow
Registered: 2012-09-01
Posts: 8,751

Re: [solved] Error while installing libindicator from AUR via yaourt.

OK, grep through the source dir for "-lglib-2.0-lm". I'm guessing it's supposed to be "-lglib-2.0 -lm"

Offline

#7 2015-10-06 16:48:16

dsch
Member
Registered: 2015-10-05
Posts: 36

Re: [solved] Error while installing libindicator from AUR via yaourt.

Scimmia wrote:

OK, grep through the source dir for "-lglib-2.0-lm". I'm guessing it's supposed to be "-lglib-2.0 -lm"

nothing there...

[dsch@p5e-ws dsch]$ find /home/dsch/Temporary/libindicator/src/ -iname *-lglib-2.0-lm*
[dsch@p5e-ws dsch]$ 

Last edited by dsch (2015-10-06 16:48:34)

Offline

#8 2015-10-06 16:51:32

Scimmia
Fellow
Registered: 2012-09-01
Posts: 8,751

Re: [solved] Error while installing libindicator from AUR via yaourt.

I didn't say find, I said grep

Offline

#9 2015-10-06 17:27:35

dsch
Member
Registered: 2015-10-05
Posts: 36

Re: [solved] Error while installing libindicator from AUR via yaourt.

Scimmia wrote:

I didn't say find, I said grep

Well, it seems I have a strange issue with grep...

[dsch@p5e-ws dsch]$ grep -r "-lglib-2.0-lm" /home/dsch/Temporary/libindicator/src/
grep: invalid option -- 'g'
Usage: grep [OPTION]... PATTERN [FILE]...
Try 'grep --help' for more information.
[dsch@p5e-ws dsch]$ 

EDIT: It was the dash...

But, it returns nothing after correction:

[dsch@p5e-ws dsch]$ grep -r *lglib-2.0-lm* /home/dsch/Temporary/libindicator/src/
[dsch@p5e-ws dsch]$ 

Last edited by dsch (2015-10-06 17:43:02)

Offline

#10 2015-10-06 17:48:13

fsckd
Forum Fellow
Registered: 2009-06-15
Posts: 4,173

Re: [solved] Error while installing libindicator from AUR via yaourt.

FYI: grep -r -e "-lglib-2.0-lm" /home/dsch/Temporary/libindicator/src/

From the man page,

-e PATTERN, --regexp=PATTERN
       Use PATTERN as the pattern.  This can be used to specify multiple search patterns, or to protect a pattern beginning with a hyphen (-).

aur S & M :: forum rules :: Community Ethos
Resources for Women, POC, LGBT*, and allies

Offline

#11 2015-10-06 17:50:38

dsch
Member
Registered: 2015-10-05
Posts: 36

Re: [solved] Error while installing libindicator from AUR via yaourt.

fsckd wrote:

FYI: grep -r -e "-lglib-2.0-lm" /home/dsch/Temporary/libindicator/src/

From the man page,

-e PATTERN, --regexp=PATTERN
       Use PATTERN as the pattern.  This can be used to specify multiple search patterns, or to protect a pattern beginning with a hyphen (-).

Thank you very much! That's one thing I learned today smile

So:

[dsch@p5e-ws dsch]$ grep -r -e "-lglib-2.0-lm" /home/dsch/Temporary/libindicator/src/
/home/dsch/Temporary/libindicator/src/libindicator-12.10.1/tests/Makefile:LIBINDICATOR_LIBS = -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -latk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -Wl,--export-dynamic -lgmodule-2.0 -pthread -lgio-2.0 -lgobject-2.0 -lglib-2.0-lm
/home/dsch/Temporary/libindicator/src/libindicator-12.10.1/libindicator/Makefile:LIBINDICATOR_LIBS = -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -latk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -Wl,--export-dynamic -lgmodule-2.0 -pthread -lgio-2.0 -lgobject-2.0 -lglib-2.0-lm
/home/dsch/Temporary/libindicator/src/libindicator-12.10.1/tools/Makefile:LIBINDICATOR_LIBS = -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -latk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -Wl,--export-dynamic -lgmodule-2.0 -pthread -lgio-2.0 -lgobject-2.0 -lglib-2.0-lm
/home/dsch/Temporary/libindicator/src/libindicator-12.10.1/Makefile:LIBINDICATOR_LIBS = -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -latk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -Wl,--export-dynamic -lgmodule-2.0 -pthread -lgio-2.0 -lgobject-2.0 -lglib-2.0-lm
/home/dsch/Temporary/libindicator/src/libindicator-12.10.1/config.log:LIBINDICATOR_LIBS='-lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -latk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -Wl,--export-dynamic -lgmodule-2.0 -pthread -lgio-2.0 -lgobject-2.0 -lglib-2.0-lm'
/home/dsch/Temporary/libindicator/src/libindicator-12.10.1/config.status:"0 -lgobject-2.0 -lglib-2.0-lm"
[dsch@p5e-ws dsch]$ 

Offline

#12 2015-10-08 06:51:37

dsch
Member
Registered: 2015-10-05
Posts: 36

Re: [solved] Error while installing libindicator from AUR via yaourt.

With the help of WoefulDerelict@https://aur.archlinux.org/packages/libappindicator-gtk2/
I was able to build and install the package by changing the PKGBUILD like that:

# Maintainer: Maxime Gauduin <alucryd@archlinux.org>
# Contributor: Balló György <ballogyor+arch@gmail.com>

pkgbase=libindicator
pkgname=('libindicator-gtk2' 'libindicator-gtk3')
pkgver=12.10.1
pkgrel=4
pkgdesc='A set of symbols and convenience functions for Ayatana indicators'
arch=('i686' 'x86_64')
url='https://launchpad.net/libindicator'
license=('GPL')
makedepends=('gtk2' 'gtk3')
source=("https://launchpad.net/libindicator/${pkgver%.*}/${pkgver}/+download/libindicator-${pkgver}.tar.gz")
sha256sums=('b2d2e44c10313d5c9cd60db455d520f80b36dc39562df079a3f29495e8f9447f')

prepare() {
  sed '/-Werror/s/$/ -Wno-deprecated-declarations/' -i libindicator-${pkgver}/libindicator/Makefile.{am,in}
  sed -i 's/LIBINDICATOR_LIBS+="$LIBM"/LIBINDICATOR_LIBS+=" $LIBM"/g' "libindicator-${pkgver}/configure"
  cp -af libindicator-${pkgver} libindicator-gtk2-${pkgver}
}

build() {
  cd libindicator-${pkgver}

  ./configure \
    --prefix='/usr' \
    --libexecdir='/usr/lib/libindicator' \
    --localstatedir='/var' \
    --sysconfdir='/etc' \
    --disable-static \
    --disable-tests
  make -j1

  cd ../libindicator-gtk2-${pkgver}

  ./configure \
    --prefix='/usr' \
    --localstatedir='/var' \
    --libexecdir='/usr/lib/libindicator' \
    --sysconfdir='/etc' \
    --with-gtk='2' \
    --disable-static \
    --disable-tests
  make -j1
}

package_libindicator-gtk2() {
  depends=('gtk2')
  provides=('libindicator')
  conflicts=('libindicator')
  
  cd libindicator-gtk2-${pkgver}

  make -j1 DESTDIR="${pkgdir}" install
  rm -rf "${pkgdir}"/usr/share
}

package_libindicator-gtk3() {
  depends=('gtk3')
  provides=('libindicator3')
  conflicts=('libindicator3')

  cd libindicator-${pkgver}

  make -j1 DESTDIR="${pkgdir}" install
  rm -rf "${pkgdir}"/usr/share
}

and then:

makepkg -srcCf 

Offline

Board footer

Powered by FluxBB